Package org.jboss.logging.processor.validation

# Interface ValidationMessage

public interface ValidationMessage
Date: 12.08.2011

Author:
  James R. Perkins

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ValidationMessage.Type`
Validation message type enum.

## Method Summary

Modifier and Type
Method
Description
`AnnotationMirror`
`getAnnotationMirror()`
The annotation the error occurred on.
`AnnotationValue`
`getAnnotationValue()`
The value of the annotation which caused the error.
`Element`
`getElement()`
Returns the element that caused the error.
`String`
`getMessage()`
Returns the error message.
`default boolean`
`printMessage(Messager messager)`
Prints the message and returns `true` if the message was an error message.
`ValidationMessage.Type`
`type()`
The type of the message.

## Method Details

### type

ValidationMessage.Type type()
The type of the message.

Returns:
  the type of the message.

### getElement

Element getElement()
Returns the element that caused the error.

Returns:
  the element that caused the error.

### getAnnotationMirror

AnnotationMirror getAnnotationMirror()
The annotation the error occurred on.

Returns:
  the annotation the error occurred on or `null` if this was not an annotation error

### getAnnotationValue

AnnotationValue getAnnotationValue()
The value of the annotation which caused the error.

Returns:
  the value of the annotation or `null`

### getMessage

String getMessage()
Returns the error message.

Returns:
  the error message.

### printMessage

default boolean printMessage(Messager messager)
Prints the message and returns `true` if the message was an error message.

Parameters:
  `messager` - the messager used to print the message
Returns:
  `true` if this was an error message otherwise `false`